Seccl - Store an adviser node association Run in API Explorer
Ask AI
POST
/api/v1/addons/seccl/{addon}/associate-node
curl \
--request POST 'https://api.plannrcrm.com/api/v1/addons/seccl/architecto/associate-node' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"associations": [
{
"adviser_uuid": "87dca966-4be6-4861-9f5b-9d60db2bb2fa",
"node_ids": [
"1234",
"321"
]
}
]
}'
Request examples
{
"associations": [
{
"adviser_uuid": "87dca966-4be6-4861-9f5b-9d60db2bb2fa",
"node_ids": [
"1234",
"321"
]
}
]
}
Response examples (200)
{
"uuid": "99f38d9b-de39-4b14-811c-f2ec7a7e75fe",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"type": "provider_statement_mapping",
"lookupable_type": "provider",
"lookupable_uuid": "b8f015cd-009c-4c9d-b873-24bcd87ad00a",
"lookupable_value": "J Bloggs Plan",
"lookup_value": "zAbWeFVJ:Bloggs J",
"returnable_type": "plan",
"returnable_uuid": "ea006baa-9caf-4594-8e4f-3eaee9d7c1c0",
"returnable_value": "example",
"return_string": "Consectetur officia labore",
"return_json": {
"key_1": "value_1",
"key_2": "value_2"
},
"return_float": 70.35
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}